# Het &konsole;-handboek

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Onderhouder
Michael
McBride
Nalezer

    mmcbride@ematic.com

Lauri
Watts
Nalezer

    lauri@kde.org

&Niels.Reedijk;

2000
2001
2002
Jonathan Singer
&FDLNotice;
2001-12-25
1.10.00

Dit document is het gebruikershandboek voor het &konsole;-programma

&konsole; is een X-terminalemulator vor &kde;.

KDE
konsole
kdebase
commando
regel

## Inleiding tot &konsole;

### Wat is een terminal?

&UNIX; besturingssystemen zijn van origine ontwikkeld als alleen tekst systemen, gecontroleerd door toetsenbordcommando's - beter bekend als commando regel interface (in het engels CLI). Het &X-Window;, &kde; en andere projecten hebben sindsdien de graphische interface toegevoegd die u nu gebruikt. Echter het onderliggende CLI systeem is nog steeds aanwezig en is erg vaak de gemakkelijkste, snelste en meest krachtige manier om vele taken uit te voeren.

&konsole; is wat bekend is als een X terminal emulator, vaak aangemerkt als terminal of shell. Het geeft u het equivalent van het goede oude tekst scherm op uw bureaublad, maar een die makkelijk samengaat met uw grafische applicaties. Windows gebruikers zijn misschien bekend met de MS-DOS Prompt applicatie, die eenzelfde functie biedt als de DOS commando regel onder &Windows;. (Echter onder &UNIX; bieden CLI's veel meer mogelijkheden en gebruiksgemak dan DOS!)

Het uitleggen van het gebruik van de &UNIX; CLI ligt buiten het doel van deze documentatie omdat dit een zeer dik boek zou opleveren. Gelukkig zijn er veel van deze boeken beschikbaar in iedere taal en in iedere goede boekhandel of bibliotheek. Er zijn ook tutorials beschikbaar op het Internet. Veel plezier met &kde; maar wees niet bevreesd om te leren hoe de commando regel te gebruiken! U zult zien dat zelfs de meeste basis dingen uw computergebruik veel efficienter en plezieriger maken.

### Wat maakt &konsole; nu zo speciaal?

&konsole;'s geavanceerde mogelijkheden zijn onder andere een simpele configuratie en de mogelijkheid om meerdere terminal-shells in een enkel venster te gebruiken.

Door middel van &konsole; kan een gebruiker:

- &Linux;-console sessies openen

- Shell-sessies openen

- Screen sessies

- Midnight Commander bestandsbeheerder-sessies openen

- Root-console sessies openen

- Root Midnight Commander-sessies openen

Deze sessies kunnen hernoemd worden om al uw sessies te kunnen herkennen of er kunnen signalen verstuurd worden (STOP, CONT, HUP, INT, TERM, KILL).

Voor meer controle over &konsole;, kan een gebruiker:

- de menu-, werk-, schuifbalk en of het kader verbergen/weergeven

- de grootte van een &konsole;-venster, de lettertypen, kleurenschema's en toetsenschema's selecteren

- de locatie van de schuifbalk wijzigen of deze verbergen

Alle gekozen instellingen kunnen standaard gemaakt worden voor toekomstige sessies door middel van deze op te slaan.

Voor degene met een grote interesse voor de wording van vrije X-terminals, zijn er twee andere van deze soort: xterm, het origineel, zelfs geschreven vóór X (een maand of twee) en xvt, een lichtgewicht xterm-kloon, waarop de meeste afgeleidene op gebaseerd zijn (zoals eterm).

Na een decennium, is &konsole; de eerste herschrijving. Terwijl xterm letterlijk doodgehackt is (zijn `README` begint met de woorden Abandon All Hope, Ye Who Enter Here), biedt &konsole; een frisse start door middel van eigentijdse technologieën en begrip van X.

## Gebruik van &konsole;

### Opstarten

Wanneer &konsole; gestart wordt, draait een programma (een &UNIX;-shell) in het venster. Begin gewoon met typen op de prompt.

&konsole; Scherm
&konsole; Scherm

Een Tip van de dag venster kan tijdens het starten verschijnen, met daarin andige tips voor het gebruik van &konsole;. Als u deze handige tips niet wilt zien deselecteer dan de optie Tonen tijdens starten.

### Geschiedenis

Terwijl regels van bovenaan het scherm naar beneden schuiven, kunnen ze bekeken worden door de schuifbalk naar boven te bewegen, of door het gebruik van de &Shift;Page Up (on een pagina terug te gaan), &Shift;Page Down (om een pagina verder te gaan), &Shift;Omhoog (om een regel omhoog te gaan) en &Shift;Omlaag (om een regel naar beneden te gaan) toetsen (als de "Geschiedenis" optie aan is).

### Muisknoppen

Links

  Als u met de linker muisknop klikt wordt het doorgegeven aan het programma dat uitgevoerd wordt in de emulatie, als het reageert op de muis. Als een programma reageert op muisklikken, geeft &konsole; dit woor door middel van een pijlcursor weer te geven. Zonie, wordt een I-straal (balk)-cursor weergegeven.

  Als u de linker muisknop ingedrukt houdt en sleept over het scherm als een programma draait dat niets van de muis af weet, zal een gedeelte van de tekst gemarkeerd worden. Terwijl u sleept, wordt de gemarkeerde tekst omgekeerd weergegeven voor visuele ondersteuning. Wanneer de knop losgelaten wordt, wordt de gemarkeerde tekst naar het klembord gekopiëerd voor verder gebruik in &konsole; of een ander programma. De geselecteerde tekst kan ook naar andere compatibele programma's worden gesleept en daar losgelaten. Klik de geselecteerde tekst en sleep die naar de gewenste locatie.

  Gewoonlijk worden de nieuwe-regel karakters aan het eind van elke regel geselecteerd. Dit is het beste voor het kopiëren en plakken van broncode of de uitvoer van een bepaald commando. Voor gewone tekst zijn de regelafbrekingen vaak niet belangrijk. Iemand kan liever de tekst als een stroom karakters willen die dan automatisch opnieuw geformatteerd worden als deze in een nieuw programma geplakt worden. Om tekst in stroom-modus te selecteren, houdt de &Ctrl; toets ingedrukt terwijl u gewoon selecteerd.

  Als de boven- of onderkant van het tekstgebied aangeraakt wordt bij het markeren, schuift &konsole; naar boven of beneden, om uiteindelijk de tekst in de geschiedenisbuffer weer te geven. Het schuiven stopt wanneer de muis stopt met bewegen.

  Nadat de muis is losgelaten, probeert &konsole; de tekst op het klembord zichtbaar te houden door het gebied omgekeerd te houden. Het gemarkeerde gebied wordt weer normaal zodra de inhoud van het klembord gewijzigd wordt, zodra de tekst in het gemarkeerde gebied gewijzigd wordt of zodra de linker muisknop ingedrukt wordt.

  Om tekst te markeren in een programma dat een muis onderstuent, moet u de &Shift; toets indrukken als u klikt.

Middel

  Het indrukken van de &MMB; knop plakt de tekst die op dit moment in het klembord zit. Het ingedrukt houden van de &Ctrl; toets terwijl u op de &MMB; knop drukt plakt de tekst en stuurt het naar &konsole;.

  Als u een muis met slechts twee knoppen heeft, zal door het tegelijk indrukken van de linker en de rechter muisknop de middelste muisknop van een drieknopsmuis geëmuleerd worden.

Rechts

  De rechter knop toont een menu met de actiesMenubalk tonen, Plakken, Signaal versturen, Sessie hernoemen, Instellingen en Sessie sluiten. De &Ctrl;-&RMB; combinatie toont het Sessie menu.

### Menubalk

De menubalk is bovenaan het &konsole;-venster. Deze kan verborgen en getoond worden door de Menubalk tonen-optie in het Instellingen-menu in of uit te schakelen. Wanneer de menubalk verborgen is, kan de Menubalk tonen optie bereikt worden door middel van het klikken met rechter muisknop in het venster of door op &Alt;&Ctrl;M te drukken.

#### Sessie menu

Sessie Nieuwe shell

  Opent een nieuwe sessie met een terminal shell. De toetscombinatie &Alt;&Ctrl;N kan ook worden gebruikt zoals onder in meer detail is beschreven.

Sessie Nieuwe screen sessie

  Opent een nieuwe sessie met de screen virtuele terminal beheerder. Zie ``man` `screen`` voor meer informatie.

Sessie Nieuwe rootconsole

  Opent een nieuwe sessie met een shell-terminal, als de root-gebruiker.

  Nadat u gevraagd wordt voor het root-wachtwoord, verschijnt de #, wat aangeet dat de gebruiker werkt met root-privileges. Dit is vaak nodig voor het installeren van nieuwe software en ander systeemonderhoud, maar het moet zuinig gebruikt worden om ongelukkige schade te voorkomen.

Sessie Nieuwe Midnight Commander

  Opent een nieuwe sessie met de Midnight Commander grafische bestandsbeheerder.

Sessie Nieuwe &Linux;-console

  Opent een nieuwe sessie die een alleen-tekst &Linux;-systeem emuleert.

  Zie het bestand `README.linux.console` in het &konsole;-bronpakket voor gedetailleerde informatie over hoe de &Linux;-console anders is dan een typische &UNIX;-console. Als u zich hier geen voorstelling bij kunt maken dan hoeft u zich er niet druk om te maken.

Sessie Nieuwe root Midnight Commander

  Opent een nieuwe sessie met de Midnight Commander grafische bestandsbeheerder, als de root-gebruiker.

  Nadat u gevraagd wordt voor het root-wachtwoord, verschijnt de # prompt, die aangeet dat de gebruiker werkt met root-privileges. Dit is vaak nodig voor het installeren van nieuwe software en ander systeemonderhoud, maar het moet zuinig gebruikt worden om ongelukkige schade te voorkomen.

Sessie Sessie sluiten

  Sluit de huidige sessie.

Sessie Afsluiten

  Sluit &konsole; af, waarbij alle sessies en programma's die in de sessies geopend zijn gesloten worden.

U kunt ook een nieuwe sessie openen met een toetsbinding. Standaard is de toetsencombinatie &Ctrl;-&Alt;-N gebruikt. U kunt ook uw eigen toetsbindingen definiëren om een nieuwe terminal-sessie te openen. De bestanden met een `*.keytab`-extensie in `$`KDEDIR`/share/apps/konsole`definiëren toetsbindingen.

Bijvoorbeeld, als u de definitie `key F12 + Shift : newSession` toevoegt aan het achtieve keytab bestand, wordt een nieuwe shell geopend als u &Shift;F12 indrukt. Gebruik het Instellingen Toetsenbord menucommando om een keytab bestand te kiezen. Het bestand `README.KeyTab` bevat meer informatie over het definiëren van snelkoppelingen.

Als laatste moet wnog worden opgemerkt dat de sessie types kunnenn worden gewijzigd, en nieuwe worden aangemaakt, in de &kcc; module Systeem Konsole.

#### Bewerken-menu

Bewerken Plakken

  Plakt tekst van het klembord in op de cursor locatie.

Bewerken Signaal versturen

  Signaal versturen - Stuurt het gespecificeerde signaal naar het shell-proces of ander proces, die gestart was wanneer de nieuwe sessie was gestart.

  Momenteel beschikbare signalen zijn:

  STOP | om een process te stoppen
  CONT | ga daar als je gestopt bent
  HUP | iemand heeft het besturende terminal opgehangen, of het besturende proces is dood
  INT | onderbreking door het toetsenbord
  TERM | terminerende signaal
  KILL | kill-signaal

  Kijk in uw systeem handleiding pagina's voor verdere details door het geven van het commando ``man` `7 signal``.

Bewerken Zoeken in geschiedenis

  Zoekt een woord of tekenreeks in de huidige geschiedenis. Als opties kunt u hoofdletter gevoelig zoeken en of achterwaards zoeken.

Bewerken Geschiedenis opslaan als...

  Slaat de huidige geschiedenis op als een tekstbestand.

Bewerken Geschiedenis wissen

  Wist de geschiedenis voor de hudige sessie.

Bewerken Alle geschiedenissen wissen

  Wist de geschiedenis van alle sessies

#### Tonen-menu

Tonen Sessie naar links verplaatsen

  Opent een dialoogvenster dat u de mogelijkheid geeft om de naam van de huidige sessie te wijzigen. Deze naam wordt getoond op de sessie tab. &Alt;&Ctrl;S kan hier ook voor worden gebruikt.

Tonen Speuren naar activiteit

  Merkt de huidige sessie zodat het een teken geeft als er sprake is van activiteit. Een pictogram of een brandende lamp zal verschijnen in de tab van die sessie. Gebruik dit als u gewaarschuwd wilt worden als er iets gebeurd terwijl u in een andere sessie bezig bent.

Tonen Speuren naar stilte

  Merkt de huidige sessie zodat het een teken geeft als er sprake is van stilte of inactiviteit gedurende 10 seconden. Een pictogram of donkere lamp zal verschijnen in de tab van die sessie. Gebruik dit als u gewaarschuwd wilt worden als er niets meer gebeurd (taak beeindigd o.i.d.) terwijl u in een andere sessie bezig bent.

Tonen Invoer naar alle sessies sturen

  Merkt de huidige sessie zodat all commandos die er in worden getypt doorgegeven worden aan alle sessies. De sessie zal een klein pictogram in zijn tab hebben om u er van te vergewissen dat u voorzichtig moet zijn met wat u intypt! ``rm` `-rf *`` bijvoorbeeld is waarschijnlijk een slecht idee.

Tonen Sessie naar links verplaatsen

  Verplaatst de tab van de huidige sessie een tab naar links.

Tonen Sessie naar rechtsverplaatsen

  Verplaatst de tab van de huidige sessie een tab naar rechts.

  &Shift; Links en &Shift;-Rechts kunnen ook gebruikt worden om tussen sessies te schakelen.

Tonen Sessie pictogrammen...

  Onderaan het menu is een lijst van beschikbare sessies. Als u er één selecteert wordt die sessie actief.

  U kan ook de toetsencombinaties &Shift;Links/&Shift;Rechts gebruiken om door de sessies te navigeren.

#### Instellingen menu

Instellingen Menubalk tonen

  Toont of verbergt de menubalk.

Instellingen Werkbalk tonen

  Toont of verbergt de werkbalk.

Instellingen Schuifbalk

  Beheert de locatie van de schuifbalk: Verbergen, Links of Rechts.

Instellingen Volledig scherm

  Schakelt venster tussen volledig scherm en normale grootte.

Instellingen Geluidsignaal

  Stelt de systeem bel in op of het &kde; systeem notificatie systeem, of op een visuele flits, of schakelt het zelfs uit.

Instellingen Lettertypen

  Stelt het lettertype en -grootte in

  Selecteer de Aangepast-optie om elke combinatie van lettertype, -grootte en -stijl te kiezen. Het `README.fonts`-bestand in het &konsole;-bronpakket geeft tips over welke lettertypen goed werken.

Instellingen Toetsenbord

  Kiest het gewenste toetsenbordschema.

  Al deze toetsenbordschema's komen uit `$KDEDIR/share/apps/konsole/*.keytab`. Het bestand `$KDEDIR/share/apps/konsole/README.KeyTab` beschrijft het toetstenbordschema formaat gedetailleerder. Voeg deze bestanden toe of wijzig ze om aan uw wensen te voldoen.

Instellingen Schema

  Stelt de kleuren van de tekst en de achtergrond in.

  De lijst van deze schema's komen uit `$KDEDIR/share/apps/konsole/*.schema`. Het bestand `$KDEDIR/share/apps/konsole/README.Schema` beschrijft het schemaformaat meer gedetailleerd. Voeg deze bestanden toe of pas ze aan om aan uw wensen te voldoen. U kan ook aangepaste schema's maken in de &kcontrol; module Systeem Konsole.

Instellingen Grootte

  Stelt de grootte van het tekstgebied in (gegeven in kolommen x rijen).

Instellingen Geschiedenis...

  Opent een dialoogvenster waarin u de geschiedenis kunt instellen. Het Activeren selectievak (de)activeert het opslaan van de geschiedenis zodra deze aan de bovenkant uit beeld rolt. U kunt het Aantal regels om te onthouden in het tekstveld invoeren of u kunt de spinknoppen gebruiken om het aantal te vermeerderen of te verminderen in stappen van 100. De Standaard knop zal de geschiedenis terugzetten op 1000 regels. Druk de OK knop om uw veranderingen te bewaren of de Annuleren knop om de diallog te sluiten en de veranderingen te niet te doen. De Help knop zal deze handleiding openen en de tekst tonen die u nu leest.

Instellingen Instellingen opslaan

  Slaat de huidige instellingen op als de nieuwe standaarden.

Instellingen&konsole; instellen

  Opent de &kcc; module en geeft u de mogelijkheid om veel overige zaken in te stellen aan de &konsole; interface.

#### Help menu

F1 Help &konsole; handboek

  Opent de inhoudsopgave van dit document.

Help Tip van de dag...

  Toont een handige tip over het gebruik van &konsole;. Selecteer de optie Tonen tijdens het starten om elke keer een handige tip te tonen als &konsole; wordt gestart.

Help Bug rapporteren...

  Stuur een bug-melding of een wens voor een nieuwe mogelijkheid voor &konsole;.

Help Info over Konsole...

  Informatie over de auteurs van &konsole;

Help Info over &kde;...

  Informatie over het KDE-project

### Werkbalk

De werkbalk is onderaan het &konsole;-venster.

Hij kan verborgen en hersteld worden door de Werkbalk tonen-optie in het Instellingen-menu in of uit te schakelen of door het klikken op het handvat aan de linkerkant van de balk. De balk bevat een Nieuw-icoon en iconen voor de huidige sessies. Als u klikt op het Nieuw-icoon wordt er een nieuwe Shell-sessie geopend.

Dubbelklikken op een sessie tab opent een dialoogvenster die u de mogelijkheid geeft om de sessie te hernoemen. De toetscombinatie &Alt;&Ctrl;S kan hier ook voor gebruikt worden.

Als u klikt op een bestaande sessie, wordt die sessie actief.

Wanneer de werkbalk verborgen is, kunnen de toetsencombinaties &Shift; Links en &Shift;-Rechts gebruikt worden om tussen sessies te schakelen.

### Commandoregelopties

Wanneer &konsole; vanaf de commandoregel gestart wordt, kunnen verscheidene opties gespecificeerd worden om het gedrag te wijzigen.

`--help`

  Geeft een lijst van de verscheidene opties

`-naam` `naam`

  Stelt de naam die in de titelbalk verschijnt in

`--ls`

  Start met een login shell omgeving. Wat dit doet is afhankelijk van uw systeem, maar in het algemeen betekent dit bestanden zoals `~/.profile` of `~/.bash_profile` zullen worden ingelezen. (als u zich hier niets bij kunt voorstellen, maak u uzelf er dan niet druk om, maar hou het in uw achterhoofd voor het geval waarin u realiseert dat u dit nodig heeft).

`-T` `venstertitel`

  Stelt de venstertitel in

`-tn` `terminal`

  Stelt de omgevingsvariabele TERM in op de opgegeven waarde. Lees ``man` `xterm`` voor meer informatie over TERM.

`--xwin`

  Genegeerd

`--nohist`

  Schakelt het opslaan van regels die uit het venster schuiven uit

`--nomenubar`

  Start &konsole; zonder een menubalk.

`--notoolbar`

  Start &konsole; zonder een werkbalk.

`--noframe`

  Start &konsole; zonder een kader.

`--noscrollbar`

  Start &konsole; zonder een schuifbalk.

`--noxft`

  start&konsole; zonder Xft anti-aliasing. Het anti-aliassen van een klein lettertype is misschien moeilijker te lezen.

`--vt_sz` `CCxLL`

  Start een terminal-venster met CC kolommen en LL regels

`--type` `type`

  Start een sessie van het aangegeven type in plaats van de standaard shell sessie.

`--workdir` `map`

  Open `dir` als de huidge werkmap.

`-e` `commando`

  Voert `commando` uit in plaats van een shell.

Bijvoorbeeld:

    bash$
    konsole--vt_sz
    90x25 --nohist

start een &konsole;-venster met 90 kolommen en 25 rijen, zonder geschiedenis

&konsole; accepteert ook algemene &Qt;- en &kde;-opties:

`--help-qt`

  Geeft een lijst van Qt-specifieke opties

`--help-kde`

  Geeft een lijst van KDE-specifieke opties

`--help-all`

  Geeft een lijst van alle opties

`--author`

  Toont de auteursnamen

`-v,--version`

  Geeft het versienummer

`--license`

  Geeft licentie-informatie weer

## Aftiteling en Copyright

&konsole; wordt onderhouden door Stephan Binner Stephan.Binner@gmx.de

Het programma &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Dit document is geschreven door Jonathan Singer jsinger@leeta.net

Geconverteerd naar DocBook SGML door Michael McBride mmcbride@ematic.com en Lauri Watts lauri@kde.org

&vertaling.niels;

&underFDL; &underGPL;

## &konsole; op niet-&Linux; platformen

Informatie over het compileren van &konsole; op andere platforms dan &Linux; is beschikbaar in het `README.ports`-bestand in het &konsole;-bronpakket. Het biedt een lijst van experts voor bepaalde platforms (Tru64, &Solaris;, OpenBSD) en vraagt vrijwilligers voor andere &UNIX;-platforms.

&documentation.index;